Package com.verisign.epp.codec.orgext

## Class EPPOrgExtTst

- java.lang.Object
- - com.verisign.epp.codec.orgext.EPPOrgExtTst

-     public class EPPOrgExtTst
      extends java.lang.Object

  Is a unit test of the com.verisign.epp.codec.orgext package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.orgext package concrete extension `EPPCodecComponent`'s.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPOrgExtTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` | JUNIT `suite` static method, which returns the tests associated with `EPPOrgExtTst`.
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `void` | `testOrgExtCreate()` | Unit test of using the `EPPOrgExtCreate` extension with a domain create command.
    `void` | `testOrgExtInfData()` | Unit test of using the `EPPOrgInfData` extension with a domain info response.
    `void` | `testOrgExtUpdate()` | Unit test of using the `EPPOrgExtUpdate` extension with a domain update command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPOrgExtTst

          public EPPOrgExtTst()

  - ### Method Detail

    - #### testOrgExtCreate

          public void testOrgExtCreate()

      Unit test of using the `EPPOrgExtCreate` extension with a domain create command.

    - #### testOrgExtInfData

          public void testOrgExtInfData()

      Unit test of using the `EPPOrgInfData` extension with a domain info response. The tests include:
      1. TEST1 - Test with just the required org identifier
      2. TEST2 - Test with both the org identifier and the org name

    - #### testOrgExtUpdate

          public void testOrgExtUpdate()

      Unit test of using the `EPPOrgExtUpdate` extension with a domain update command. The tests include:
      1. TEST1 - Test adding a org identifier
      2. TEST2 - Test removing a org identifier
      3. TEST3 - Test changing a org identifier

    - #### beforeClass

          public static void beforeClass()

      JUNIT `suite` static method, which returns the tests associated with `EPPOrgExtTst`.

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test